<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../../style.css');
        @import url('../../../../../../roundedcorners.css');
        @import url('../../../../../../tree.css');
            </style>
    
    <script src="../../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore NIO 4.3-alpha1</title>
</head><body onload="setBrowserTitle('HttpCore NIO 4.3-alpha1: org.apache.http.impl.nio.reactor: Coverage Clouds')">
<table cellspacing="0" cellpadding="2" style="padding:2" class="barGraph">
  <tr>
    <td colspan="1">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage Cloud Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.3-alpha1</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:45:05 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Clouds</span></div>
        
                    	<div class="navBar"><a href="../../../../../../proj-risks.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Package</span>&nbsp;&nbsp;&nbsp;File</div>
            
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="pkg-risks.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.nio.reactor:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      1,263
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      4,945
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      568
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.97
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      474
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      2,838
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.45
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      8.76
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      254
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      26
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      2.24
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      29
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for package org.apache.http.impl.nio.reactor:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'package';">Stmts:</label></td>
           <td >      1,263
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'package';">LOC:</label></td>
           <td >      4,945
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'package';">Total cmp:</label></td>
           <td >      568
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.97
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'package';">Branches:</label></td>
           <td >      474
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'package';">NCLOC:</label></td>
           <td >      2,838
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'package';">Cmp density:</label></td>
           <td >      0.45
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      8.76
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'package';">Methods:</label></td>
           <td >      254
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'package';">Files:</label></td>
           <td >      26
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'package';">Avg method cmp:</label></td>
           <td >      2.24
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'package';">Classes:</label></td>
            <td >      29
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1"></td></tr>

<tr><td class="hbreak" colspan="1">
   <div style="position:relative;height:30px;">
   <div id="mapnav" >
       <ul>
                                                                                            <li class="mapactive">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_risks;" onclick="window.location.href='pkg-risks.html'">Package Risks</label>
                        </div>
                    </div>
                </li>
                                                            <li class="">
                    <div class="roundedLarge">
                        <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
                        <div class="roundedContent">
                            <label class="link"  onkeyup="return help_pkg_quick_wins;" onclick="window.location.href='quick-wins.html'">Quick Wins</label>
                        </div>
                    </div>
                </li>
                   </ul>
   </div>
          <div class="cloudowner"><a href="pkg-summary.html">org.apache.http.impl.nio.reactor</a></div>
      </div>

<div class="tags roundedLarge">
   <b class="ctop noLeftCnr"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
   <div class="roundedContent" style="padding: 5px;">
	
   
      <div id="shallowPackageCloud"  >
      
	 	 
	       <a href="../reactor/AbstractIODispatch.html#AbstractIODispatch" class="tag"
	  style="font-size: 40px;color:#3405ca"
	  title="Average Method Complexity - 4.5 , Coverage - 66.7% ">AbstractIODispatch</a>
   
	 	 
	       <a href="../reactor/AbstractIOReactor.html#AbstractIOReactor" class="tag"
	  style="font-size: 27px;color:#4d05b1"
	  title="Average Method Complexity - 2.75 , Coverage - 65.3% ">AbstractIOReactor</a>
   
	 	 
	       <a href="../reactor/AbstractMultiworkerIOReactor.html#AbstractMultiworkerIOReactor" class="tag"
	  style="font-size: 33px;color:#3405ca"
	  title="Average Method Complexity - 3.556 , Coverage - 74.6% ">AbstractMultiworkerIOReactor</a>
   
	 	 
	       <a href="../reactor/BaseIOReactor.html#BaseIOReactor" class="tag"
	  style="font-size: 27px;color:#1b05e3"
	  title="Average Method Complexity - 2.692 , Coverage - 78.2% ">BaseIOReactor</a>
   
	 	 
	       <a href="../reactor/DefaultConnectingIOReactor.html#DefaultConnectingIOReactor" class="tag"
	  style="font-size: 30px;color:#4d05b1"
	  title="Average Method Complexity - 3.083 , Coverage - 60% ">DefaultConnectingIOReactor</a>
   
	 	 
	       <a href="../reactor/DefaultListeningIOReactor.html#DefaultListeningIOReactor" class="tag"
	  style="font-size: 27px;color:#4d05b1"
	  title="Average Method Complexity - 2.667 , Coverage - 60.1% ">DefaultListeningIOReactor</a>
   
	 	 
	       <a href="../reactor/ExceptionEvent.html#ExceptionEvent" class="tag"
	  style="font-size: 17px;color:#4d05b1"
	  title="Average Method Complexity - 1.2 , Coverage - 60% ">ExceptionEvent</a>
   
	 	 
	       <a href="../reactor/IOReactorConfig.html#IOReactorConfig" class="tag"
	  style="font-size: 15px;color:#80057e"
	  title="Average Method Complexity - 1 , Coverage - 42.7% ">IOReactorConfig</a>
   
	 	 
	       <a href="../reactor/IOReactorConfig.html#IOReactorConfig.Builder" class="tag"
	  style="font-size: 15px;color:#80057e"
	  title="Average Method Complexity - 1 , Coverage - 37.2% ">IOReactorConfig.Builder</a>
   
	 	 
	       <a href="../reactor/IOSessionImpl.html#IOSessionImpl" class="tag"
	  style="font-size: 21px;color:#660598"
	  title="Average Method Complexity - 1.871 , Coverage - 47.5% ">IOSessionImpl</a>
   
	 	 
	       <a href="../reactor/InterestOpEntry.html#InterestOpEntry" class="tag"
	  style="font-size: 15px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">InterestOpEntry</a>
   
	 	 
	       <a href="../reactor/ListenerEndpointImpl.html#ListenerEndpointImpl" class="tag"
	  style="font-size: 22px;color:#3405ca"
	  title="Average Method Complexity - 2 , Coverage - 72.5% ">ListenerEndpointImpl</a>
   
	 	 
	       <a href="../reactor/SSLIOSession.html#SSLIOSession" class="tag"
	  style="font-size: 26px;color:#e4051a"
	  title="Average Method Complexity - 2.5 , Coverage - 0% ">SSLIOSession</a>
   
	 	 
	       <a href="../reactor/SSLIOSessionHandlerAdaptor.html#SSLIOSessionHandlerAdaptor" class="tag"
	  style="font-size: 17px;color:#e4051a"
	  title="Average Method Complexity - 1.25 , Coverage - 0% ">SSLIOSessionHandlerAdaptor</a>
   
	 	 
	       <a href="../reactor/SSLSetupHandlerAdaptor.html#SSLSetupHandlerAdaptor" class="tag"
	  style="font-size: 17px;color:#e4051a"
	  title="Average Method Complexity - 1.25 , Coverage - 0% ">SSLSetupHandlerAdaptor</a>
   
	 	 
	       <a href="../reactor/SessionHandle.html#SessionHandle" class="tag"
	  style="font-size: 15px;color:#e4051a"
	  title="Average Method Complexity - 1 , Coverage - 0% ">SessionHandle</a>
   
	 	 
	       <a href="../reactor/SessionInputBufferImpl.html#SessionInputBufferImpl" class="tag"
	  style="font-size: 31px;color:#1b05e3"
	  title="Average Method Complexity - 3.308 , Coverage - 81.9% ">SessionInputBufferImpl</a>
   
	 	 
	       <a href="../reactor/SessionOutputBufferImpl.html#SessionOutputBufferImpl" class="tag"
	  style="font-size: 29px;color:#3405ca"
	  title="Average Method Complexity - 2.923 , Coverage - 76.9% ">SessionOutputBufferImpl</a>
   
	 	 
	       <a href="../reactor/SessionRequestHandle.html#SessionRequestHandle" class="tag"
	  style="font-size: 15px;color:#1b05e3"
	  title="Average Method Complexity - 1 , Coverage - 77.8% ">SessionRequestHandle</a>
   
	 	 
	       <a href="../reactor/SessionRequestImpl.html#SessionRequestImpl" class="tag"
	  style="font-size: 25px;color:#80057e"
	  title="Average Method Complexity - 2.467 , Coverage - 42.1% ">SessionRequestImpl</a>
      </div>
   
   </div>
   <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
</div>

</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>

<tr><td class="hbreak" colspan="1">&nbsp;</td></tr>
<tr><td class="footer" colspan="1">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:45:34 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
</body>
</html>
